%plots impulse responses for all shocks
%if you want different parameter values go and change them in all 4 .mod
%files (ctw, finfric, unempl and baseline) and then run this file

clear all
clc

cd ..
cd CTW
dynare ctw_employer_surplus

cd ..
cd CTW_exo
dynare ctw_employer_surplus
cd ..

clear all
clc

plot_full=1;

cd CTW
load ctw_oo_irfs
load ctw_employer_surplus_results
spread= M_.params(	193	);

cd ..
cd CTW_exo
load ctw_exo_oo_irfs 

cd ..
cd Plots

varnames=['Nom. Interest Rate (ABP)  '
    'CPI Inflation (ABP)       '
    'GDP (% dev.)              '
    'Consumption (% dev.)      '
    'Investment (% dev.)       '
    'Net Exports/Y (Lev. dev.) '
    'Total Hours (% dev.)      '
    'Hours / Employee (% dev.) '
    'Unempl. Rate (Lev. dev.)  '
    'Real Nash Wage (% dev.)   '
    'Shadow Wage, MPL (% dev.) ' 
    'Nom. Exch. Rate (% dev.)  '
    'Net Worth (% dev.)        '
    'Spread (ABP)              '];

shock_names=[
'muz_eps     '
%'mupsi_eps   '
'epsilon_eps '
'Upsilon_eps '
'zetac_eps   '
'zetah_eps   '
'phitilde_eps'
'epsR_eps    '
'g_eps       '
'taud_eps    '
'taux_eps    '
'taumc_eps   '
'taumi_eps   '
'taumx_eps   '
'gamma_eps   '
%'sigma_eps   '
%'eta_eps     '
'ystar_eps   '
'pistar_eps  '
'Rstar_eps   '];    

shock_fullnames=[
'Unit-root Neutral Technology Shock     '
%'Unit-root Investment Technology Shock  '
'Stationary Neutral Technology Shock    '
'Marginal Efficiency of Investment Shock'
'Consumption Preference Shock           '
'Labor Preference Shock                 '
'Country Risk Premium Shock             '
'Monetary Policy Shock                  '
'Government Consumption Shock           '
'Domestic Markup Shock                  '
'Export Markup Shock                    '
'Import Consumption Markup Shock        '
'Import Investment Markup Shock         '
'Import Export Markup Shock             '
'Entrepreneur Wealth Shock              '
%'Entrepreneur Risk Shock                '
%'Bargaining Power of Workers Shock      '
'Foreign Output Shock                   '
'Foreign Inflation Shock                '
'Foreign Nominal Interest Rate Shock    ']; 

for index=1:1:size(shock_names,1),         
    if (index==1)   % i.e. unit root shock
        zt=cumsum(ctw_oo_irfs.lmuzplusU_muz_eps);
        ctw_shock=100*[eval(['ctw_oo_irfs.data_RU_',shock_names(index,:)])
            eval(['ctw_oo_irfs.data_picU_',shock_names(index,:)])
            eval(['zt+ctw_oo_irfs.lylessdU_',shock_names(index,:)])    
            eval(['zt+ctw_oo_irfs.lcU_',shock_names(index,:)])
            eval(['zt+ctw_oo_irfs.liU_',shock_names(index,:)])
            eval(['ctw_oo_irfs.nxdivGDPU_',shock_names(index,:)]) 
            eval(['ctw_oo_irfs.lHU_',shock_names(index,:)])
            eval(['ctw_oo_irfs.lintensity0U_',shock_names(index,:)])
            eval(['(1-L)*ctw_oo_irfs.lUnemprateU_',shock_names(index,:)])
            eval(['zt+ctw_oo_irfs.lavg_NashU_',shock_names(index,:)])
            eval(['zt+ctw_oo_irfs.lwbarU_',shock_names(index,:)])
            eval(['ctw_oo_irfs.lSlevU_',shock_names(index,:)])   
            eval(['zt+ctw_oo_irfs.lnU_',shock_names(index,:)])
            eval(['400*spread*ctw_oo_irfs.lspreadU_',shock_names(index,:)])
            ];
    else
        ctw_shock=100*[eval(['ctw_oo_irfs.data_RU_',shock_names(index,:)])
            eval(['ctw_oo_irfs.data_picU_',shock_names(index,:)])
            eval(['ctw_oo_irfs.lylessdU_',shock_names(index,:)])   
            eval(['ctw_oo_irfs.lcU_',shock_names(index,:)])
            eval(['ctw_oo_irfs.liU_',shock_names(index,:)])
            eval(['ctw_oo_irfs.nxdivGDPU_',shock_names(index,:)])
            eval(['ctw_oo_irfs.lHU_',shock_names(index,:)])
            eval(['ctw_oo_irfs.lintensity0U_',shock_names(index,:)])
            eval(['(1-L)*ctw_oo_irfs.lUnemprateU_',shock_names(index,:)])
            eval(['ctw_oo_irfs.lavg_NashU_',shock_names(index,:)])
            eval(['ctw_oo_irfs.lwbarU_',shock_names(index,:)])
            eval(['ctw_oo_irfs.lSlevU_',shock_names(index,:)])   % lqU_
            eval(['ctw_oo_irfs.lnU_',shock_names(index,:)])
            eval(['400*spread*ctw_oo_irfs.lspreadU_',shock_names(index,:)])
            ];
    end

        if (index==1)   % i.e. unit root shock
            zt=cumsum(ctw_exo_oo_irfs.lmuzplusU_muz_eps);
            ctw_exo_shock=100*[eval(['ctw_exo_oo_irfs.data_RU_',shock_names(index,:)])
                eval(['ctw_exo_oo_irfs.data_picU_',shock_names(index,:)])
                eval(['zt+ctw_exo_oo_irfs.lylessdU_',shock_names(index,:)])
                eval(['zt+ctw_exo_oo_irfs.lcU_',shock_names(index,:)])
                eval(['zt+ctw_exo_oo_irfs.liU_',shock_names(index,:)])
                eval(['ctw_exo_oo_irfs.nxdivGDPU_',shock_names(index,:)])
                eval(['ctw_exo_oo_irfs.lHU_',shock_names(index,:)])
                eval(['ctw_exo_oo_irfs.lintensity0U_',shock_names(index,:)])
                eval(['(1-L)*ctw_exo_oo_irfs.lUnemprateU_',shock_names(index,:)])
                eval(['zt+ctw_exo_oo_irfs.lavg_NashU_',shock_names(index,:)])
                eval(['zt+ctw_exo_oo_irfs.lwbarU_',shock_names(index,:)])
                eval(['ctw_exo_oo_irfs.lSlevU_',shock_names(index,:)])
                eval(['zt+ctw_exo_oo_irfs.lnU_',shock_names(index,:)])
                eval(['400*spread*ctw_exo_oo_irfs.lspreadU_',shock_names(index,:)])
                ];
        else
            ctw_exo_shock=100*[eval(['ctw_exo_oo_irfs.data_RU_',shock_names(index,:)])
                eval(['ctw_exo_oo_irfs.data_picU_',shock_names(index,:)])
                eval(['ctw_exo_oo_irfs.lylessdU_',shock_names(index,:)])
                eval(['ctw_exo_oo_irfs.lcU_',shock_names(index,:)])
                eval(['ctw_exo_oo_irfs.liU_',shock_names(index,:)])
                eval(['ctw_exo_oo_irfs.nxdivGDPU_',shock_names(index,:)])
                eval(['ctw_exo_oo_irfs.lHU_',shock_names(index,:)])
                eval(['ctw_exo_oo_irfs.lintensity0U_',shock_names(index,:)])
                eval(['(1-L)*ctw_exo_oo_irfs.lUnemprateU_',shock_names(index,:)])
                eval(['ctw_exo_oo_irfs.lavg_NashU_',shock_names(index,:)])
                eval(['ctw_exo_oo_irfs.lwbarU_',shock_names(index,:)])
                eval(['ctw_exo_oo_irfs.lSlevU_',shock_names(index,:)])   % lqU_
                eval(['ctw_exo_oo_irfs.lnU_',shock_names(index,:)])
                eval(['400*spread*ctw_exo_oo_irfs.lspreadU_',shock_names(index,:)])
                ];
        end
time=0:1:size(ctw_shock,2)-1;

if plot_full==1
    figure('Name',shock_fullnames(index,:));
    for jj=1:1:size(ctw_shock,1),
        subplot(5,3,jj)
        plot(time,ctw_shock(jj,:),'r-','LineWidth',3); hold on
        plot(time,ctw_exo_shock(jj,:),'b-','LineWidth',2); hold on
        
        if jj==12,
            legend('Full Model','Constant separations','Location','SouthOutside');
            legend('boxoff');
        end
        
        set(gca,'FontSize',11);
        if jj<12
            set(gca,'XTicklabel',[]);
        end
        title(varnames(jj,:));
        axis tight;
    end;
    suptitle(shock_fullnames(index,:));
    
    print('-depsc','-zbuffer',['impresp_endo_vs_exo_',shock_names(index,1:5)]);
    print('-dpdf',['impresp_endo_vs_exo_',shock_names(index,1:5)]);
end

vec_ctw_shock(index,:,:)=ctw_shock;
vec_ctw_exo_shock(index,:,:)=ctw_exo_shock;

end
save endo_vs_exo_results vec_ctw_shock vec_ctw_exo_shock

% plot for paper: unemp and GDP endo vs exo
lastperiod=10;   % el 19
time=0:1:lastperiod-1;%size(ctw_shock,2)-1;

figure(4243)
    subplot(2,2,1)  % m.p. U
    %myj=find(shock_names(index)=='epsR_eps') = 7
    %myj=find(var_names(index)=='unemp (level dev)') = 9
    plot(time,vec(vec_ctw_shock(7,9,1:lastperiod)),'r-','LineWidth',3); hold on
    plot(time,vec(vec_ctw_exo_shock(7,9,1:lastperiod)),'b-.','LineWidth',2); hold on
    set(gca,'FontSize',15);
    title(varnames(9,:),'Fontsize',22);
    axis tight;
    %ylabel('Mon. pol. shock','Rotation',0,'Fontsize',18); % remains to move left to make readable
    ylabel('$\epsilon_R$','Interpreter','latex','Rotation',0,'Fontsize',28);
    subplot(2,2,2) % m.p. GDP
    plot(time,vec(vec_ctw_shock(7,3,1:lastperiod)),'r-','LineWidth',3); hold on
    plot(time,vec(vec_ctw_exo_shock(7,3,1:lastperiod)),'b-.','LineWidth',2); hold on
    set(gca,'FontSize',15);
    title(varnames(3,:),'Fontsize',22);
    axis tight;
    
    subplot(2,2,3)  % tech. U (shock=2)
    plot(time,vec(vec_ctw_shock(2,9,1:lastperiod)),'r-','LineWidth',3); hold on
    plot(time,vec(vec_ctw_exo_shock(2,9,1:lastperiod)),'b-.','LineWidth',2); hold on
    set(gca,'FontSize',15);
    %title(varnames(2,:));
    %ylabel('Stat. tech. shock','Rotation',0,'Fontsize',18);
    ylabel('$\epsilon$','Interpreter','latex','Rotation',0,'Fontsize',28);
    axis tight;
    
    
    subplot(2,2,4)  % tech GDP
    plot(time,vec(vec_ctw_shock(2,3,1:lastperiod)),'r-','LineWidth',3); hold on
    plot(time,vec(vec_ctw_exo_shock(2,3,1:lastperiod)),'b-.','LineWidth',2); hold on
    set(gca,'FontSize',15);
    axis tight;
    %title(varnames(3,:));   
    
    legend('Full Model','Constant separations');
    set(gca,'FontSize',15);
      