%%%%%%%%%%%%%%%%%%%%%%%%%%
%Data vs smoothed Variables%
%%%%%%%%%%%%%%%%%%%%%%%%%%
% This version is to be run with 
% the input already in memory
% e.g. at end of .mod file
%%%%%%%%%%%%%%%%%%%%%%%%%%

global oo_

%load data
CTWmasterdata_95q1_10q3_newspread_w_diff100;

%load results from estimation
%load ctw_results.mat 

time=time(1:end);
%create smoothed variables without measurement errors
data_pidUsmoothed=data_pidU(1:end)-oo_.SmoothedShocks.data_pidU_eps(1:end); 
data_piiUsmoothed=data_piiU(1:end)-oo_.SmoothedShocks.data_piiU_eps(1:end);   
data_picUsmoothed=data_picU(1:end)-oo_.SmoothedShocks.data_picU_eps(1:end); 
data_RUsmoothed=data_RU(1:end);
data_ystardiffUsmoothed=data_ystardiffU(1:end)-oo_.SmoothedShocks.data_ystardiffU_eps(1:end);
data_pistarUsmoothed=data_pistarU(1:end)-oo_.SmoothedShocks.data_pistarU_eps(1:end);
data_RstarUsmoothed=data_RstarU(1:end);
data_HhatUsmoothed=data_HhatU(1:end)-oo_.SmoothedShocks.data_HhatU_eps(1:end);
data_qdiffUsmoothed=data_qdiffU(1:end)-oo_.SmoothedShocks.data_qdiffU_eps(1:end);
data_cdiffUsmoothed=data_cdiffU(1:end)-oo_.SmoothedShocks.data_cdiffU_eps(1:end);
data_ydiffUsmoothed=data_ydiffU(1:end)-oo_.SmoothedShocks.data_ydiffU_eps(1:end);
data_idiffUsmoothed=data_idiffU(1:end)-oo_.SmoothedShocks.data_idiffU_eps(1:end);
data_wdiffUsmoothed=data_wdiffU(1:end)-oo_.SmoothedShocks.data_wdiffU_eps(1:end);
data_xdiffUsmoothed=data_xdiffU(1:end)-oo_.SmoothedShocks.data_xdiffU_eps(1:end);
data_impdiffUsmoothed=data_impdiffU(1:end)-oo_.SmoothedShocks.data_impdiffU_eps(1:end);  
disp('manually set to calibrated measurement errors for N and spread');
% keyboard
data_ndiffUsmoothed=data_ndiffU(1:end)-oo_.SmoothedShocks.data_ndiffU_eps(1:end);
data_spreaddiffUsmoothed=data_spreaddiffU(1:end)-oo_.SmoothedShocks.data_spreaddiffU_eps(1:end);

data_unempdiffUsmoothed=data_unempdiffU(1:end)-oo_.SmoothedShocks.data_unempdiffU_eps(1:end);
data_gdiffUsmoothed=data_gdiffU(1:end)-oo_.SmoothedShocks.data_gdiffU_eps(1:end);

%plot results
    figure;
    subplot(4,5,5);
    plot(time,data_ydiffU(1:end),'k',time,data_ydiffUsmoothed,'r-.',time,0*time);
    title('$\Delta y$','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);    
    subplot(4,5,1);
    plot(time,data_pidU(1:end),'k',time,data_pidUsmoothed,'r-.');
    title('$\pi$','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);
    subplot(4,5,4);
    plot(time,data_RU(1:end),'k',time,data_RUsmoothed,'r-.');
    title('$R$','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);
    subplot(4,5,6);
    plot(time,data_wdiffU(1:end),'k',time,data_wdiffUsmoothed,'r-.',time,0*time);
    title('$\Delta w$','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);
    subplot(4,5,7);
    plot(time,data_cdiffU(1:end),'k',time,data_cdiffUsmoothed,'r-.',time,0*time);
    title('$\Delta c$','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);
    subplot(4,5,8);
    plot(time,data_idiffU(1:end),'k',time,data_idiffUsmoothed,'r-.',time,0*time);
    title('$\Delta i$','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);
    subplot(4,5,9);
    plot(time,data_qdiffU(1:end),'k',time,data_qdiffUsmoothed,'r-.',time,0*time);
    title('$\Delta q$','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);
    subplot(4,5,10);
    plot(time,data_HhatU(1:end),'k',time,data_HhatUsmoothed,'r-.',time,0*time);
    title('$\hat{H}$','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);
    subplot(4,5,12);
    plot(time,data_xdiffU(1:end),'k',time,data_xdiffUsmoothed,'r-.',time,0*time);
    title('$\Delta x$','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);
    subplot(4,5,13);
    plot(time,data_impdiffU(1:end),'k',time,data_impdiffUsmoothed,'r-.',time,0*time);
    title('$\Delta m$','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);
    subplot(4,5,2);
    plot(time,data_picU(1:end),'k',time,data_picUsmoothed,'r-.');
    title('$\pi^c$','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);
    subplot(4,5,3);
    plot(time,data_piiU(1:end),'k',time,data_piiUsmoothed,'r-.');
    title('$\pi^i$','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);
    subplot(4,5,17);
    plot(time,data_ystardiffU(1:end),'k',time,data_ystardiffUsmoothed,'r-.',time,0*time);
    title('$\Delta y^*$','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);
    subplot(4,5,18);
    plot(time,data_pistarU(1:end),'k',time,data_pistarUsmoothed,'r-.');
    title('$\pi^*$','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);
    subplot(4,5,19);
    plot(time,data_RstarU(1:end),'k',time,data_RstarUsmoothed,'r-.');
    title('$R^*$','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);
    subplot(4,5,14)
    plot(time,data_ndiffU(1:end),'k',time,data_ndiffUsmoothed,'r-.',time,0*time);
    title('$\Delta n$','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);    
    subplot(4,5,16)
    plot(time,data_unempdiffU(1:end),'k',time,data_unempdiffUsmoothed,'r-.',time,0*time);
    title('$\Delta u$','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);    
    subplot(4,5,15)
    plot(time,data_spreaddiffU(1:end),'k',time,data_spreaddiffUsmoothed,'r-.');
    title('$\Delta$spread','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);
    subplot(4,5,11)
    plot(time,data_gdiffU(1:end),'k',time,data_gdiffUsmoothed,'r-.',time,0*time);
    title('$\Delta g$','Interpreter','latex');axis tight;
    set(gca,'XTick',[1996;2002;2008]);
    
%    suptitle('Data vs. Smoothed Variables 1995Q1-2008Q1');
%    subplot(4,5,20);
%    legend('Data','Smoothed','Location','SouthOutside')
%    legend('boxoff');
    
    print -depsc -zbuffer data_vs_smoothed
    print -dpdf data_vs_smoothed
   